Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
CK_WTLS_PRF_PARAMS Struct Reference

`#include <pkcs11t.h>`

## Public Attributes
CK_MECHANISM_TYPE | DigestMechanism
CK_BYTE_PTR | pLabel
CK_BYTE_PTR | pOutput
CK_BYTE_PTR | pSeed
CK_ULONG_PTR | pulOutputLen
CK_ULONG | ulLabelLen
CK_ULONG | ulSeedLen

## Detailed Description

Definition at line 1646 of file pkcs11t.h.

## Member Data Documentation

CK_MECHANISM_TYPE CK_WTLS_PRF_PARAMS::DigestMechanism

Definition at line 1647 of file pkcs11t.h.

CK_BYTE_PTR CK_WTLS_PRF_PARAMS::pLabel

Definition at line 1650 of file pkcs11t.h.

CK_BYTE_PTR CK_WTLS_PRF_PARAMS::pOutput

Definition at line 1652 of file pkcs11t.h.

CK_BYTE_PTR CK_WTLS_PRF_PARAMS::pSeed

Definition at line 1648 of file pkcs11t.h.

CK_ULONG_PTR CK_WTLS_PRF_PARAMS::pulOutputLen

Definition at line 1653 of file pkcs11t.h.

CK_ULONG CK_WTLS_PRF_PARAMS::ulLabelLen

Definition at line 1651 of file pkcs11t.h.

CK_ULONG CK_WTLS_PRF_PARAMS::ulSeedLen

Definition at line 1649 of file pkcs11t.h.

The documentation for this struct was generated from the following file:

- src/lib/prov/pkcs11/pkcs11t.h